> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Cart

> Delete an existing cart in Shop Now On-Store.

### Required API key scope
- Carts




## OpenAPI

````yaml delete /cart/{token}
openapi: 3.1.0
info:
  title: Cart API (On-Store)
  description: This API can be used to manage your shop's carts.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Cart
paths:
  /cart/{token}:
    delete:
      tags:
        - Cart
      summary: Delete Cart
      description: |
        Delete an existing cart in Shop Now On-Store.

        ### Required API key scope
        - Carts
      operationId: deleteCart
      parameters:
        - in: path
          name: token
          schema:
            type: string
          required: true
          description: The unique identifier token associated with a cart.
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/CartNotFound'
                  - $ref: '#/components/schemas/CartNotDeleted'
                  - $ref: '#/components/schemas/DeletedCart'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - api_key: []
components:
  schemas:
    CartNotFound:
      type: object
      properties:
        errors:
          type: object
          properties:
            message:
              type: string
              description: >-
                The error message returned when the cart token included in the
                request couldn't be found.
              example: No cart found for the provided token.
    CartNotDeleted:
      type: object
      properties:
        errors:
          type: object
          properties:
            message:
              type: string
              description: The error message returned when the cart couldn't be deleted.
              example: Failed to delete cart.
    DeletedCart:
      type: boolean
      example: true
      description: Whether the cart was deleted.
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: '401'
            http_code:
              type: string
              example: GEN-UNAUTHORIZED
            message:
              type: string
              example: Unauthorized.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````